Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Aug 2022 09:37:06 -0400

> Is 20MB single-line JSON file fairly representative of such files out
> there?  Do we know of JSON file with much longer lines, for example
> 50MB or 100MB?

IIUC it's very common for JSON files to be made of a single line, so the
line length is the file's length and since those files are
machine-generated I don't expect 100MB to be much less common than 20MB.

> If 20MB is reasonably representative of the long-line JSON, then
> perhaps at least json-mode could consider resetting
> long-line-threshold to nil.

IIUC a nil value for `long-line-threshold` makes Emacs completely
unusable with such long lines even if you disable all the bells
and whistles.  Dmitry's suggestion is to skip the locked-narrowing in
some cases, but not to set `long-line-threshold` to nil.

        Stefan